#ifndef WAV_COMMON_H
#define WAV_COMMON_H 1

#if WORDS_BIGENDIAN
#  error "This implementation will at present only work on little-endian (eg Intel) machines"
#endif

typedef struct {
    char ckid[4];
    uint32_t cksize;
} ChunkHeader;

typedef struct FmtCkPCMHeader_s {
    char ckid[4];               /* "fmt " */
    uint32_t cksize;
    uint16_t format_tag;
    uint16_t channels;
    uint32_t samples_per_sec;
    uint32_t avg_bytes_per_sec;
    uint16_t block_align;
    uint16_t bits_per_sample;
} FmtCkPCMHeader;
// If this is tightly aligned, then it should be 24 bytes long

typedef const uint8_t cbyte;

#endif /* WAV_COMMON_H */
